Subject: AW: Location Types Registry

From: "Tschofenig, Hannes" <[email-masked]>
Date: Sun, 22 Jan 2006 20:39:22 +0100

hi frank, 

please find a few comments below: 

> Adam Roach wrote:
> 
> > You'll note that this work is coming out of GEOPRIV -- where
> > the "PRIV" part of that name stands for "privacy."
> 
> That's not more obvious in the "registry" draft.  Joe Abley
> posted a pointer to draft-ietf-simple-rpid-08 for the missing
> context, and there I found lists of locations and moods.  The
> latter appears to be a list of smileys (without the smileys),
> and it's clear that the user picks what his or her mood is -
> a device can't know this, and it better doesn't try to guess
> the mood of its user.
> 
> For the locations it's not so clear.  Why should a device tell
> me that I'm in the "cafe" of a "jail" in an "airport", I would
> know this.  And why would I tell my device where it is, all it
> needs to know is "be quiet" or "make as much noise as you can",
> different ways to attract my attention depending on where I am.

the end host might obtain this information using dhcp-civic. 

there are, however, many proprietary ways if you take a look at the
context aware networking literature.

note: these aspects are all not part of a document that creates a
registry. 
there are other documents that discuss these aspects since multiple
protocols/extensions need to work together in order to provide this
functionality. 

> 
> > There are many good use cases in real-time communications
> > that detail *why* conveying this kind of information is
> > potentially useful. Going into a tutorial on these basic
> > topics seems a bit inappropriate on the general list.
> 
> Maybe the "registry" draft could be integrated into a draft
> where that's immediately clear, or bound to a list of special
> purposes where devices need to know why "cycle" and "water"
> are different - at first glance both could fall into a category
> "now isn't an optimal time to talk, but it's not impossible".
> 
> Without context a "location dictionary" as Internet standard
> appears to be an odd idea.  And a list of smileys without the
> smileys removes the fun - if the moods get their own registry.

have you read, for example, the dhcp-civic draft? do you think it is
difficult to understand what the document does and how the values in the
location type registry are used? it is not uncommon to split one draft
into multiple documents. 

ciao
hannes

> 
>                           Bye, Frank
> 
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf